#1788 Autocomplete list crash on Mac

Bug
closed-fixed
5
2016-01-18
2015-12-08
chinhster
No

Open an autocomplete list that is long enough for there to be a scrollbar. Scroll past the top of the list to activate bounce back scrolling. As the list is bounce back scrolling, press the escape or tab key to close the autocomplete list. It may take a few attempts but the application will crash.

Discussion

  • Neil Hodgson

    Neil Hodgson - 2015-12-09

    Do you have a stack trace?

     
  • chinhster

    chinhster - 2015-12-09

    Sorry, I wasn't thinking. I should've just fixed it since I knew what the problem was because I make this kind of mistake all of the time.

    To fix the crash, in ListBoxImpl::ReleaseViews(), insert:

    [table setDataSource:nil];

    Here's the stack trace if you stlll want it:

    2015-12-08 09:18:37.751 StataSE[22206:7522740] An uncaught exception was raised
    2015-12-08 09:18:37.751 StataSE[22206:7522740] *** +[NSString stringWithUTF8String:]: NULL cString
    2015-12-08 09:18:37.751 StataSE[22206:7522740] (
    0 CoreFoundation 0x00007fff8947803c __exceptionPreprocess + 172
    1 libobjc.A.dylib 0x00007fff8d7b176e objc_exception_throw + 43
    2 CoreFoundation 0x00007fff89477eed +[NSException raise:format:] + 205
    3 Foundation 0x00007fff8cc15fb5 +[NSString stringWithUTF8String:] + 78
    4 Scintilla 0x000000010b417482 -[AutoCompletionDataSource tableView:objectValueForTableColumn:row:] + 101
    5 AppKit 0x00007fff8a0fc550 -[NSTableView preparedCellAtColumn:row:] + 422
    6 AppKit 0x00007fff8a0fc276 -[NSTableView _drawContentsAtRow:column:withCellFrame:] + 44
    7 AppKit 0x00007fff8a0fbe08 -[NSTableView drawRow:clipRect:] + 1655
    8 AppKit 0x00007fff8a0fb4d6 -[NSTableView drawRowIndexes:clipRect:] + 948
    9 AppKit 0x00007fff8a0f9dbb -[NSTableView drawRect:] + 1559
    10 AppKit 0x00007fff89f6b6ea -[NSView _drawRect:clip:] + 4335

     
    Last edit: chinhster 2015-12-09
  • Neil Hodgson

    Neil Hodgson - 2015-12-10

    Thanks. Fix committed as [7476f2].

     

    Related

    Commit: [7476f2]

  • Neil Hodgson

    Neil Hodgson - 2015-12-10
    • labels: mac cocoa autocomplete scrolling crash --> crash, scintilla, scrolling, autocomplete, mac, cocoa
    • status: open --> open-fixed
    • assigned_to: Neil Hodgson
     
  • Neil Hodgson

    Neil Hodgson - 2016-01-18
    • status: open-fixed --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks